## pint-xarray 0.3

=== ci/requirements.txt ===
pint
numpy
scipy
dask[array]
bottleneck
xarray
isort
black
flake8
pytest
pytest-cov

=== docs/requirements.txt ===
pint>=0.14
xarray>=0.16.0
pooch
netCDF4
cf-xarray>=0.6
sphinx
sphinx_rtd_theme>=1.0
ipython
ipykernel
jupyter_client
nbsphinx
matplotlib
sphinx-autosummary-accessors

=== debian/changelog ===
pint-xarray (0.3-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 11 Jul 2023 06:05:41 +0200

pint-xarray (0.3-1) unstable; urgency=medium

  * Initial release (Closes: #1039101).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 01 Jul 2023 09:22:11 +0000

=== debian/control ===
Source: pint-xarray
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-numpy3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-bottleneck,
               python3-dask,
               python3-numpy,
               python3-pandas,
               python3-pint,
               python3-pytest,
               python3-scipy,
               python3-setuptools,
               python3-setuptools-scm,
               python3-xarray,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-gis-team/pint-xarray
Vcs-Git: https://salsa.debian.org/debian-gis-team/pint-xarray.git
Homepage: https://github.com/xarray-contrib/pint-xarray
Rules-Requires-Root: no
Description: Physical units interface to xarray using Pint
 pint-xarray is a convenience wrapper for using pint with xarray.
 .
 It can be used for creating and saving objects with units.
 .
 A pint unit definition, as accepted by pint.Unit, may be either a str
 or a pint.Unit instance.

Package: python3-pint-xarray
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Description: ${source:Synopsis}
 ${source:Extended-Description}

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=pint-xarray

%:
	dh $@ --with python3 --buildsystem=pybuild

## pint-xarray 0.4

=== requirements.txt ===
pint>=0.13
numpy>=1.17.1
xarray>=0.15.1

=== ci/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-pint
-numpy
+pint!=0.24.0
+numpy<2
 scipy
 dask[array]
 bottleneck

=== debian/changelog ===
pint-xarray (0.4-1) unstable; urgency=medium

  * New upstream release.
  * Update dates in d/copyright.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 29 Jun 2024 13:18:23 +0000

pint-xarray (0.3-3) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Switch to dh-sequence-*.

  [ Antonio Valentino ]
  * debian/control:
    - Use the <!nocheck> marker.
  * Switch to autopkgtest-pkg-pybuild.
  * New d/python3-pint-xarray.lintian-overrides file.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sat, 09 Dec 2023 10:05:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: pint-xarray
 Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
+Testsuite: autopkgtest-pkg-pybuild
 Section: python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-numpy3,
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                python3-all,
                python3-bottleneck,
@@ -12,7 +14,7 @@
                python3-numpy,
                python3-pandas,
                python3-pint,
-               python3-pytest,
+               python3-pytest <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,

## pint-xarray 0.5.0

=== debian/changelog ===
pint-xarray (0.5.0-1) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.2, no changes.

  [ Antonio Valentino ]
  * New usptream release.
  * Update dates in d/copyright.
  * Set upstream metadata fields: Documentation.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Sun, 10 Aug 2025 16:22:42 +0000

## pint-xarray 0.5.1

=== ci/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 pint!=0.24.0
-numpy<2
+numpy
 scipy
 dask[array]
 bottleneck

=== docs/requirements.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-pint>=0.14
-xarray>=0.16.0
+pint>=0.21
+xarray>=2022.06.0
 pooch
 netCDF4
 cf-xarray>=0.6

=== debian/changelog ===
pint-xarray (0.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 13 Aug 2025 05:35:10 +0000

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-xarray,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/pint-xarray
 Vcs-Git: https://salsa.debian.org/debian-gis-team/pint-xarray.git
 Homepage: https://github.com/xarray-contrib/pint-xarray

## pint-xarray 0.6.0

=== debian/changelog ===
pint-xarray (0.6.0-2) unstable; urgency=medium

  * debian/control:
    - Versioned dependency for pytest: pint-xiarray now
      requires python3-pytest (>= 8.4).

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Fri, 05 Sep 2025 05:59:21 +0000

pint-xarray (0.6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Antonio Valentino <antonio.valentino@tiscali.it>  Wed, 03 Sep 2025 18:27:47 +0000

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                python3-numpy,
                python3-pandas,
                python3-pint,
-               python3-pytest <!nocheck>,
+               python3-pytest (>= 8.4) <!nocheck>,
                python3-scipy,
                python3-setuptools,
                python3-setuptools-scm,

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export PYBUILD_NAME=pint_xarray
export PYBUILD_TEST_ARGS=--pyargs ${PYBUILD_NAME}

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=\
pgpmode=none,\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|c|beta|b|alpha|a)\d*)$/$1~$2/;s/RC/rc/;s/\-/\./g,\
filenamemangle=s/(?:.*?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/@PACKAGE@-$1.$2/ \
https://github.com/xarray-contrib/pint-xarray/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|@PACKAGE@)?[\-\_]?(\d\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
